<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:34:47 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CppPanelView (org.eclipse.papyrus.designer.languages.cpp.view 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CppPanelView (org.eclipse.papyrus.designer.languages.cpp.view 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppPanelView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html" target="_top">Frames</a></li>
<li><a href="CppPanelView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.view</div>
<h2 title="Class CppPanelView" class="title">Class CppPanelView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.common.EventManager</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.WorkbenchPart</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.ViewPart</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.cpp.view.CppPanelView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/8/docs/api/java/util/EventListener.html?is-external=true" title="class or interface in java.util">EventListener</a>, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation</dd>
</dl>
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">This view will be replaced by an XWT view for the C++ profile</span></div>
</div>
<br>
<pre><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public class <span class="typeNameLabel">CppPanelView</span>
extends <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">AbstractCppPanelView</a></pre>
<div class="block">This class extends <code>ViewPart</code>. This class draws the Accord/Cpp
 panel in the Modeling Perspective. It also implements <code>ISelectionListener</code> in order to know which element is selected
 in the workbench. In fact, the content of the view changes depending on the
 type of the element selected</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.designer.languages.cpp.view.<a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">AbstractCppPanelView</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#currentTarget">currentTarget</a>, <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#panel">panel</a>, <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#parent">parent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>PROP_TITLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html#CppPanelView--">CppPanelView</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppAbstractPanel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html#createPanel-org.eclipse.swt.widgets.Composite-int-org.eclipse.uml2.uml.Element-">createPanel</a></span>(org.eclipse.swt.widgets.Composite&nbsp;parent,
           int&nbsp;style,
           org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Creates the new panel, when switching UI.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html#selectionChanged-org.eclipse.ui.IWorkbenchPart-org.eclipse.jface.viewers.ISelection-">selectionChanged</a></span>(org.eclipse.ui.IWorkbenchPart&nbsp;part,
                org.eclipse.jface.viewers.ISelection&nbsp;selection)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.designer.languages.cpp.view.<a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">AbstractCppPanelView</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#createPartControl-org.eclipse.swt.widgets.Composite-">createPartControl</a>, <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#setFocus--">setFocus</a>, <a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#switchUI--">switchUI</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.ViewPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.ViewPart</h3>
<code>checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.WorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.WorkbenchPart</h3>
<code>addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.commands.common.EventManager">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.core.commands.common.EventManager</h3>
<code>addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.runtime.IAdaptable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.core.runtime.IAdaptable</h3>
<code>getAdapter</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CppPanelView--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CppPanelView</h4>
<pre>public&nbsp;CppPanelView()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createPanel-org.eclipse.swt.widgets.Composite-int-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPanel</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/panels/CppAbstractPanel.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view.panels">CppAbstractPanel</a>&nbsp;createPanel(org.eclipse.swt.widgets.Composite&nbsp;parent,
                                       int&nbsp;style,
                                       org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Creates the new panel, when switching UI.
 <p>
 This class should be overloaded when working with RSA or other tools, using a new PanelFactory</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html#createPanel-org.eclipse.swt.widgets.Composite-int-org.eclipse.uml2.uml.Element-">createPanel</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/AbstractCppPanelView.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view">AbstractCppPanelView</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - the parent of the new panel</dd>
<dd><code>style</code> - the SWT style of this panel</dd>
<dd><code>element</code> - the element for which the panel is created</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created panel</dd>
</dl>
</li>
</ul>
<a name="selectionChanged-org.eclipse.ui.IWorkbenchPart-org.eclipse.jface.viewers.ISelection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>selectionChanged</h4>
<pre>public&nbsp;void&nbsp;selectionChanged(org.eclipse.ui.IWorkbenchPart&nbsp;part,
                             org.eclipse.jface.viewers.ISelection&nbsp;selection)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CppPanelView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/cpp/view/Activator.html" title="class in org.eclipse.papyrus.designer.languages.cpp.view"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/view/CppPanelView.html" target="_top">Frames</a></li>
<li><a href="CppPanelView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.eclipse.papyrus.designer.languages.cpp.view.AbstractCppPanelView">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
